Generate a brand voice from a LinkedIn profile (person or company).
curl --request POST \
--url https://api.parallellabs.app/api/v0/content/brand-voices/generate-from-linkedin \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"companyId": "<string>",
"brand_links": [
"<string>"
],
"link_id": "<string>",
"linkedin_url": "<string>",
"premium": true,
"profile_type": "<string>",
"voice_name": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/content/brand-voices/generate-from-linkedin"
payload = {
"companyId": "<string>",
"brand_links": ["<string>"],
"link_id": "<string>",
"linkedin_url": "<string>",
"premium": True,
"profile_type": "<string>",
"voice_name": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
companyId: '<string>',
brand_links: ['<string>'],
link_id: '<string>',
linkedin_url: '<string>',
premium: true,
profile_type: '<string>',
voice_name: '<string>'
})
};
fetch('https://api.parallellabs.app/api/v0/content/brand-voices/generate-from-linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credits_used": 123,
"data": {},
"profile_name": "<string>",
"profile_type": "<string>",
"success": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Content
Generate a brand voice from a LinkedIn profile (person or company).
Either linkedin_url or link_id must be provided. The profile_type will be auto-detected from the URL if not specified.
POST
/
api
/
v0
/
content
/
brand-voices
/
generate-from-linkedin
Generate a brand voice from a LinkedIn profile (person or company).
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Body
application/json
LinkedIn profile data
Request body for generating brand voice from LinkedIn
Company ID
Additional brand links to analyze
LinkedIn profile ID
LinkedIn profile URL
Use premium/residential proxy (default: false)
Profile type (person or company)
Custom voice name
⌘I

